{% extends 'ucs_besplusplus/base.html' %}
{% load staticfiles %}
{% block head_title %}
  {% if resource %}Editing {{resource}}
  {% else %}Create new resource{% endif %}
{% endblock %}
{% block additional_head %}
  {{block.super}}
  <!-- This should really use Media somehow. -->
  <script src="{% static 'javascripts/bes++-widgets.js' %}"></script>
{% endblock %}
{% block static_breadcrumbs %}
  {{block.super}}
  {% if resource %}
    <li>{% include "ucs_besplusplus/resource_snippet.html" %}</li>
    <li>edit</li>
  {% else %}
    <li>create</li>
  {% endif %}
{% endblock %}
{% block content_column_1 %}
  <div class="campl-column9 campl-main-content">
    <div class="campl-content-container">
      {% if resource %}
      <h1>{{resource}}</h1>
      {% else %}
      <h1>Create new resource</h1>
      {% endif %}
      <form method="POST">
	{% include "ucamprojectlight-messages.html" %}
	{% csrf_token %}
	{% if form.total_error_count > 0 %}
	<div class="campl-notifications-panel campl-warning-panel campl-notifications-container clearfix">
	  <div class="campl-column4">
	    <p class="campl-notifications-icon campl-warning-icon">Warning:</p>
	  </div>
	  <div class="campl-column8">
	    <p>Validation failed.  See individual errors below.</p>
	  </div>
	</div>
	{% endif %}
	{% for fs in form.formsets %}
	{{ fs.management_form }}
	{% for f in fs %}
	<div class="campl-control-group
	  {% if f.errors %}campl-error{% endif %}">
	{% for field in f.visible_fields %}
	  {% if field.name == 'DELETE' %}
	  {# Suppress delete box if this is a new property. #}
	  {% if f.id.value != None %}
	  <label class="campl-checkbox">{{ field }} {{ field.label }}</label>
	  {% endif %}
	  {% else %}
	  {{ field.label_tag }}<div class="campl-controls">{{ field }}
	    {% for e in field.errors %}
	    <p class="campl-help-block">{{e}}</p>
	    {% endfor %}
	  </div>
	  {% endif %}
	  {% endfor %}
	</div>
	{% for field in f.hidden_fields %}{{ field }}{% endfor %}
	{% endfor %}
        {% endfor %}
	<div class="campl-form-actions">
	  <button type="submit"
	    class="campl-btn campl-primary-cta">Submit</button>
	</div>
      </form>      
      {% if resource %}
      <h2>Here be dragons</h2>
      <p>The full editing page for Bes++ resources is rather complicated.
	You may wish to consult a Bes++ expert before proceeding.</p>
      <p><a class="campl-primary-cta" 
	  href="{% url 'admin:ucs_besplusplus_resource_change' resource.id %}"
	  style="font-family: monospace">> KILL DRAGON_</a></p>
      {% endif %}
    </div>
  </div>
{% endblock %}
